// Copyright (C) 2004, Brian Enigma <enigma at netninja.com>
// This file is part of iGallery.
//
// iGallery is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// iGallery is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Foobar; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package org.ninjasoft.igallery.data;

import java.util.*;

/**
 * Simple bean to hold information about an album
 * @author enigma
 */
public class IPhotoAlbumData {
    private String name = "";
    private String type = "";
    private Vector pictureList = new Vector();
    
	public String getName()            {return name;}
	public void setName(String name)   {this.name = name;}
	public String getType()            {return type;}
	public void setType(String type)   {this.type = type;}
    public void addPicture(int id)     {pictureList.add(new Integer(id));}
    public void addPicture(Integer id) {pictureList.add(id);}
    public String toString()           {return name + "::" + pictureList.size() + " picture(s)";}
    public Vector getPictures()        {return pictureList;}
    public int getPictureCount()       {return pictureList.size();}
}
