// Copyright (C) 2004, Brian Enigma <enigma at netninja.com>
// This file is part of iGallery.
//
// iGallery is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// iGallery is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Foobar; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package org.ninjasoft.igallery.data;

/**
 * Bean to hold fields related to a picture
 * @author enigma
 */
public class IPhotoPictureData {
    private Integer id = new Integer(0);
    private String caption = "";
    private String filename = "";
    
	public String getCaption()                 {return caption;}
	public void setCaption(String caption)     {this.caption = caption;}
	public String getFilename()                {return filename;}
	public void setFilename(String filename)   {this.filename = filename;}
	public Integer getId()                     {return id;}
	public void setId(Integer id)              {this.id = id;}
    public int getIdInt()                      {return id.intValue();}
    public void setId(int id)                  {this.id = new Integer(id);}
    public String toString()                   {return id.toString() + "::" + caption + "::" + filename;}
}
